#! /usr/bin/perl

use strict;

# 	This script compares to files and examines whether the files are identical
#
# 	Invocation arguments:
#	=====================
# 	1. file_1 to compare
#	2. file_2 to compare

open FILE_1, "<", my $file_1 = $ARGV[ 0 ];
open FILE_2, "<", my $file_2 = $ARGV[ 1 ];

my $agreement;
my $line_counter;

while ( <FILE_1> )
{
	$line_counter ++;
    	last unless $agreement = (  $_ eq <FILE_2> );
}

print "\nThe two files $file_1 and $file_2 ".( $agreement ? "fully " : "do not " )."agree.\n";
print "\nThe first mismatch occured in line $line_counter.\n\n" unless $agreement;