#! /usr/bin/perl -w

use strict;
use locale;

# 	This script fixes the word numbering in the header line of each word annotation 
#	of a file containing concatenated cdg sentence annotations.
#		
# 	Invocation arguments:
#	=====================
#  	1. 	File containing the incorrectly numbered word annotations.
	
my $word_counter;

while ( <> )
{	
	if ( /^  (\d+) (\d+)/ )
	{		
		$word_counter ++;
		my $previous = $word_counter -1;
		s/^  \d+ \d+/  $previous $word_counter/ if ( $2 != $word_counter );
	}
	if ( /;/ )
	{
		$word_counter = 0;
	}
	
	print;
}
