# Copyright (C) 1997-2005 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
#  
# This file is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version. For
# more details read COPYING in the root of this distribution.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

# Options:
#	-g : real wordgraphs
#	-r : gives all special constructions

eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
 & eval 'exec perl -S $0 $argv:q'
 if 0;

if ($0 =~ m/(.*)\/([^\/]*)/) {
    $dir = $1;
    $cmd = $2;
} else {
    $cmd = $0;
    $dir = ".";
}

require "getopts.pl";
&Getopts('gr:');

$regex = defined($opt_r) ? $opt_r : "ZEIT|DATUM|ZUINF";

while (<STDIN>) {
  die "Invalid input!" unless m/^\s*(.*)\s*:\s*(.+)\s*$/;

  printf "\"%s\" :\n", $1;
  @w = split( / /, $2 );
  $pos = 0; $match = -1;
  $del = " ";
  for ( $i=0; $i <= $#w; $i++ ) {
    if ( $w[$i] =~ m/^($regex)\)$/ ) {
      die "Invalid REGEX structure" unless $match >= 0;
      printf "%s", $del;
      if ( $1 eq "ZUINF" ) {
	printf "  %3d %3d %s\n", $match, $pos, $collect;
      } else {
	printf "  %3d %3d %s\n", $match, $pos, $1;
      }
      $del = ",";
      $match = -1;
    }
    elsif ( $w[$i] =~ m/^\(($regex)$/ ) {
      die "Invalid REGEX structure" unless $match < 0;
      $match = $pos;
      $collect = "";
    }
    else {
      if ( defined($opt_g) || $match == -1 ) {
	printf "%s", $del;
	printf "  %3d %3d %s\n", $pos, $pos+1, $w[$i];
	$del = ",";
      }
      $pos++;
      $collect .= $collect eq "" ? $w[$i] : "_$w[$i]";
    }
  }
  printf ";\n\n";
}
