/* 
 * Copyright (C) 1997-2005 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
 *  
 * This file is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version. For
 * more details read COPYING in the root of this distribution.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * Birth: 10.5.1
 */

/* -------------------------------------------------------------------------
 * @addtogroup Compiler 
 * @{ 
 */
#ifndef COMPILE_H
#define COMPILE_H

/* -- INCLUDES ---------------------------------------------------------- */
#include <blah.h>
#include "input.h"

/* -- FUNCTIONS --------------------------------------------------------- */

Boolean comInitGrammar(Input);
Input comLoad(String filename);
String comCompile(int no, char **args);
void comApprove(int no, char **args);
void comFinalize(void);
void comFinitGrammar(Input);
void comInitialize(void);

/* ---------------------------------------------------------------------- */
/** @} */
#endif /* don't insert anything after this #endif */
