#!/bin/sh
#\
exec tclsh "$0" "$@" 

# Copyright (C) 1997-2005 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
#  
# This file is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version. For
# more details read COPYING in the root of this distribution.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

source loadtclbindings

putsDebug "getting printf hook command\n"
set printfCmd [getHookCmd "printf"]
putsDebug "printfCmd=$printfCmd\n"

if {[catch {
  putsDebug "getting blabla hook command\n"
  set printfCmd [getHookCmd "blabla"]
  } errorMsg]} {
  putsDebug "errorMsg=$errorMsg ... detected\n"
  putsDebug "printfCmd=$printfCmd\n"
} else {
  error "last command should not succeed"
}

putsDebug "setting printf hook command\n"
setHookCmd "printf" putsDebug

putsDebug "getting printf hook command\n"
set printfCmd [getHookCmd "printf"]
putsDebug "printfCmd=$printfCmd\n"

#testCmdEval "hook printf on"
testCmdEval "status"
putsDebug "finalize\n"
cdgFinalize
