#! /usr/bin/perl -w

use strict;
use locale;

#	This script extracts a set of individual annotation files from a concatenated 
#	CDG annotation file.
#
#	Invocation Arguments
#	====================
#	1. Concatenated CDG annotation file from which to extract the individual annotation files.

my $counter;

while ( <> )
{
	if ( /wordgraph/o )
	{
   		$counter ++;
   		my $zero="0" x ( 3 - length $counter );
   		open FILE, ">", "Annotation.File_".${zero}.${counter}.cda;
   	}
	
	print FILE $_;
} 
