/* 
 * Copyright (C) 1997-2005 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
 *  
 * This file is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version. For
 * more details read COPYING in the root of this distribution.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 */

#ifndef SKEL_H
#define SKEL_H

/* ---------------------------------------------------------------------------
 * @addtogroup Skel 
 * @{
 */

/* -- INCLUDES ------------------------------------------------------------- */
#include <config.h>

/* -- MACROS --------------------------------------------------------------- */

/** short description */
#define SOMEMACRO

/* -- TYPE DEFINITIONS ----------------------------------------------------- */

/* ----------------------------------------------------------------------------
 * short description.
 * long description
 */
typedef struct {
  int memberA;
  int memberB;
} MyExportedTypeStruct;
typedef MyExportedTypeStruct *MyExportedType; /**< type definition */

/** \var MyExportedTypeStruct::memberA
 * short description.
 * long description.
 */

/** \var MyExportedTypeStruct::memberB
 * short description.
 * long description.
 */

/* -- VARIABLES ------------------------------------------------------------ */
extern int myExportedVariable; 

/* -- FUNCTIONS ------------------------------------------------------------ */
extern int myExportedFunction(int a, int b);

/* ------------------------------------------------------------------------- */
/** @} */
#endif /* don't insert anything after this #endif */
