/** Grammatical numbers **/
public enum Number {
    sg("Singular"),
    pl("Plural");

    /**
     * The name of the T-Box concept corresponding to this grammatical number.
     */
    public final String conceptName;

    Number(String conceptName) {
	this.conceptName = conceptName;
    }
}
